# Uses of Class
org.apache.lucene.analysis.TokenFilterFactory

Packages that use TokenFilterFactory
Package
Description
org.apache.lucene.analysis
Text analysis.

- ## Uses of TokenFilterFactory in org.apache.lucene.analysis

  Methods in org.apache.lucene.analysis that return TokenFilterFactory
  Modifier and Type
  Method
  Description
  `static TokenFilterFactory`
  TokenFilterFactory.`forName(String name, Map<String,String> args)`
  looks up a tokenfilter by name from context classpath
  Methods in org.apache.lucene.analysis that return types with arguments of type TokenFilterFactory
  Modifier and Type
  Method
  Description
  `static Class<? extends TokenFilterFactory>`
  TokenFilterFactory.`lookupClass(String name)`
  looks up a tokenfilter class by name from context classpath
  Method parameters in org.apache.lucene.analysis with type arguments of type TokenFilterFactory
  Modifier and Type
  Method
  Description
  `static String`
  TokenFilterFactory.`findSPIName(Class<? extends TokenFilterFactory> serviceClass)`
  looks up a SPI name for the specified token filter factory